### Method

# Camel Service get_user_cache_dir

since: 3.4

#### Declaration [src]

    const gchar*
    camel_service_get_user_cache_dir (
      CamelService* service
    )

#### Description [src]

Returns the base directory under which to store cache data for `service`. The directory is formed by appending the directory returned by `camel_session_get_user_cache_dir()` with the service’s `CamelService:uid` value.

Available since: 3.4

#### Return value

Type: `const gchar*`

The base cache directory for `service`.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.